services:
  _defaults:
    public: false
    autowire: true

  OxidEsales\EshopEnterprise\Internal\Transition\Adapter\EnterpriseShopAdapterInterface:
    class: OxidEsales\EshopEnterprise\Internal\Transition\Adapter\EnterpriseShopAdapter
    public: false
  OxidEsales\EshopEnterprise\Internal\Transition\Adapter\TemplateLogic\HasRightsLogic:
    class: OxidEsales\EshopEnterprise\Internal\Transition\Adapter\TemplateLogic\HasRightsLogic